/*-------------------------------------------------------------------------------------------------------------------*/
/**
 *    \file       Rte_Led.h
 *    \author     RTE Generator
 *    \brief      Generated file - shall not be manually edited. 
 *                Implements all the RTE read and write operations that are performed by the Led software
 *                component.
 */
/*-------------------------------------------------------------------------------------------------------------------*/

#ifndef RTE_LED_H
#define RTE_LED_H

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                                     Inclusions                                                    */
/*-------------------------------------------------------------------------------------------------------------------*/

#include "Rte.h"

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                            Definition Of Global Macros                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

#define Rte_Read_In_LedLeft(x) ((*x) = Rte_LedIn_LedLeft_Buf)
#define Rte_Read_In_LedCenter(x) ((*x) = Rte_LedIn_LedCenter_Buf)
#define Rte_Read_In_LedRight(x) ((*x) = Rte_LedIn_LedRight_Buf)

#define Rte_Write_Out_LedLeft(x) (IoHwAb_DigitalSetChannel(IOHWAB_DIGITAL_LED_LEFT, (*x)))
#define Rte_Write_Out_LedCenter(x) (IoHwAb_DigitalSetChannel(IOHWAB_DIGITAL_LED_CENTER, (*x)))
#define Rte_Write_Out_LedRight(x) (IoHwAb_DigitalSetChannel(IOHWAB_DIGITAL_LED_RIGHT, (*x)))

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                          Definition Of Global Data Types                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Variables                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Constants                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Functions                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
#endif /* RTE_LED_H */